class Reposync::DeleteBranchService < Reposync::ClientService

  attr_accessor :repo_name, :branch_name

  def initialize(repo_name, branch_name)
    @repo_name = repo_name
    @branch_name = branch_name
  end

  def call 
    result = delete(url)
    response = render_response(result)
  end

  private
  def url 
    "/cerobot/sync/#{repo_name}/branch/#{branch_name}"
  end
end